Subject: bug#65098: 回复: bug#65098: 29.1.50; treesit-query-capture in an interactive function has no effect?

From: 赵 纪阳 <[email-masked]>
Date: Sun, 6 Aug 2023 01:20:15 +0000

Got it. Thanks.
Sorry for the noise, I should've tested more to make sure it's a real bug.
________________________________
发件人: Eli Zaretskii <[email-masked]>
发送时间: 2023年8月5日 23:30
收件人: 赵 纪阳 <[email-masked]>
抄送: [email-masked] <[email-masked]>
主题: Re: bug#65098: 29.1.50; treesit-query-capture in an interactive function has no effect?

tags 65098 notabug
thanks

> From: 赵 纪阳
>  <[email-masked]>
> Date: Sat, 5 Aug 2023 13:43:31 +0000
>
> I have a test function as following:
>
> (defun treesit-context-test-query ()
>   (interactive)
>   (treesit-query-capture (treesit-buffer-root-node) '((if_statement consequence: (_) @context.end)
> @context)))
>
> I expected this function would return all =if statement= in a java buffer.
>
> But if I invoke it from M-x, it doesn't print anything in *Message* buffer.
>
> If I call it from M-:(aka. eval-expression), it does print something.
>
> Is there a bug here? If not, how should I use it correctly? Thanks.

You need to display the value the function returns, e.g., with
'message'.

There's no bug here.